Bug 184864 - graphics/apngasm: Update to version 2.8
Summary: graphics/apngasm: Update to version 2.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-18 18:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.86 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:17 UTC
- Update to version 2.8 

New file:
files/patch-Makefile
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-17 20:31:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-12-18 17:51:17 UTC
Author: danilo
Date: Wed Dec 18 17:51:04 2013
New Revision: 336852
URL: http://svnweb.freebsd.org/changeset/ports/336852

Log:
  - Update from 2.7 to 2.8
  - Improve COMMENT
  - Add stage support
  - Convert LIB_DEPENDS to new syntax
  - Use CC and CXX properly
  
  PR:		ports/184864
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Added:
  head/graphics/apngasm/files/
  head/graphics/apngasm/files/patch-Makefile   (contents, props changed)
Modified:
  head/graphics/apngasm/Makefile
  head/graphics/apngasm/distinfo

Modified: head/graphics/apngasm/Makefile
==============================================================================
--- head/graphics/apngasm/Makefile	Wed Dec 18 17:24:51 2013	(r336851)
+++ head/graphics/apngasm/Makefile	Wed Dec 18 17:51:04 2013	(r336852)
@@ -2,50 +2,40 @@
 # $FreeBSD$
 
 PORTNAME=	apngasm
-PORTVERSION=	2.7
+PORTVERSION=	2.8
 DISTVERSIONSUFFIX=-src
 CATEGORIES=	graphics
 MASTER_SITES=	SF/${PORTNAME}/${PORTVERSION}
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	Creates an APNG animation from a PNG/TGA image sequence
+COMMENT=	Create Animated PNG from a sequence of files
 
 LICENSE=	ZLIB
 
+OPTIONS_DEFINE=	DOCS STATIC
+
 NO_WRKSUBDIR=	yes
 
-USE_DOS2UNIX=	yes
 USE_ZIP=	yes
-
-CPPFLAGS+=	`libpng-config --I_opts`
-LDFLAGS+=	`libpng-config --ldflags` -lm -lz
-
-PLIST_FILES=	bin/${PORTNAME}
+USES=		dos2unix gmake
 
 PORTDOCS=	readme.txt
+PLIST_FILES=	bin/${PORTNAME}
 
-OPTIONS_DEFINE=	DOCS STATIC
+STATIC_BUILD_DEPENDS=	${LOCALBASE}/lib/libpng.a:${PORTSDIR}/graphics/png
+STATIC_MAKE_ENV=	STATIC=1
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MSTATIC}
-BUILD_DEPENDS+=	${LOCALBASE}/lib/libpng.a:${PORTSDIR}/graphics/png
-LDFLAGS+=	-static
-.else
-LIB_DEPENDS+=	png15:${PORTSDIR}/graphics/png
+.if ! ${PORT_OPTIONS:MSTATIC}
+LIB_DEPENDS+=	libpng15.so:${PORTSDIR}/graphics/png
 .endif
 
-do-build:
-	cd ${WRKSRC} && ${CC} ${CFLAGS} ${CPPFLAGS} ${PORTNAME}.c \
-		-o ${PORTNAME} ${LDFLAGS}
-
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-
-.if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
-.endif
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${PORTNAME} \
+		${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} \
+		${STAGEDIR}${DOCSDIR})
 
 .include <bsd.port.mk>

Modified: head/graphics/apngasm/distinfo
==============================================================================
--- head/graphics/apngasm/distinfo	Wed Dec 18 17:24:51 2013	(r336851)
+++ head/graphics/apngasm/distinfo	Wed Dec 18 17:51:04 2013	(r336852)
@@ -1,2 +1,2 @@
-SHA256 (apngasm-2.7-src.zip) = af42569666cab268a20a0754191396c9d48f4e01d6e8f93c3ae1164c3c821cc3
-SIZE (apngasm-2.7-src.zip) = 11448
+SHA256 (apngasm-2.8-src.zip) = 47bee31bc149efc5932a87819cc0daea668cf7322eeaed9378c43edbdc9803bc
+SIZE (apngasm-2.8-src.zip) = 568753

Added: head/graphics/apngasm/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/apngasm/files/patch-Makefile	Wed Dec 18 17:51:04 2013	(r336852)
@@ -0,0 +1,49 @@
+--- ./Makefile.orig	2013-12-18 15:23:41.000000000 -0200
++++ ./Makefile	2013-12-18 15:23:54.000000000 -0200
+@@ -1,10 +1,17 @@
+ PACKAGE    = apngasm
+-CC         = gcc
++CC        ?= cc
++CXX       ?= c++
+ SRC_DIRS   = . 7z zopfli
+-CFLAGS     = -Wall -pedantic
+-CFLAGS_OPT = -O2
+-CFLAGS_7Z  = -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
+-LIBS       = -lstdc++ -lm -lpng -lz
++CFLAGS    += -Wall -pedantic
++CXXFLAGS  += -Wall -pedantic
++CPPFLAGS  += $(shell libpng-config --cflags)
++CFLAGS_7Z  = -Wno-sign-compare -Wno-reorder -Wno-parentheses
++ifeq ($(strip $(STATIC)),)
++LIBS       = $(shell libpng-config --ldflags)
++else
++LIBS       = $(shell libpng-config --static --ldflags)
++LDFLAGS   += -static
++endif
+ 
+ INCUDE_DIRS := $(addprefix -I./, $(SRC_DIRS))
+ OBJ_DIRS := $(addprefix obj/, $(SRC_DIRS))
+@@ -16,19 +23,19 @@
+ all : $(PACKAGE)
+ 
+ $(PACKAGE) : objdirs $(OBJECTS)
+-	$(CC) -o $@ $(OBJECTS) -s $(LIBS)
++	$(CXX) -o $@ $(OBJECTS) $(LIBS) $(LDFLAGS)
+ 
+ objdirs :
+ 	mkdir -p $(OBJ_DIRS)
+ 
+ obj/%.o : %.cpp
+-	$(CC) -o $@ -c $< $(INCUDE_DIRS) $(CFLAGS) $(CFLAGS_OPT)
++	$(CXX) -o $@ -c $< $(INCUDE_DIRS) $(CXXFLAGS) $(CPPFLAGS)
+ 
+ obj/%.o : %.c
+-	$(CC) -o $@ -c $< $(INCUDE_DIRS) $(CFLAGS) $(CFLAGS_OPT)
++	$(CC) -o $@ -c $< $(INCUDE_DIRS) $(CFLAGS) $(CPPFLAGS)
+ 
+ obj/%.o : %.cc
+-	$(CC) -o $@ -c $< $(INCUDE_DIRS) $(CFLAGS) $(CFLAGS_OPT) $(CFLAGS_7Z)
++	$(CXX) -o $@ -c $< $(INCUDE_DIRS) $(CXXFLAGS) $(CPPFLAGS) $(CFLAGS_7Z)
+ 
+ .PHONY : clean
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-12-18 17:51:23 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!